Summary: 	GPhoto2 GTK frontend
Name: 		gtkam
Version: 	0.1.11
Release: 	0.dev1.6mdk
License: 	GPL
Group: 		Graphics
Source0: 	http://belnet.dl.sourceforge.net/sourceforge/gphoto/%{name}-%{version}dev1.tar.bz2
#Source0: 	http://belnet.dl.sourceforge.net/sourceforge/gphoto/gtkam-cvs20020722-1.tar.bz2
Source1:	digicam-launch-icon.png.bz2
URL: 		http://sourceforge.net/projects/gphoto
Requires: 	libgphoto2 >= 2.1.1-2mdk libexif9 libexif-gtk4
Obsoletes: 	hackgphoto2-gtkam
Provides: 	hackgphoto2-gtkam
BuildRequires: 	libgphoto-devel
BuildRequires: 	gettext-devel
BuildRequires: 	libexif-gtk-devel
BuildRequires:	autoconf2.5
BuildRequires:	ImageMagick
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%define buildgimpplugin 0

%if %{buildgimpplugin}
BuildRequires: 	libgimp-devel
%endif

%description
GTKam is now a part of the Gnome project, and is a fine interface for a
wide variety of digital cameras.

%if %{buildgimpplugin}
%package gimp-plugin
Summary: 	GIMP-plug-in for digital camera access through GPhoto2
Requires: 	gtkam >= 0.1-12mdk gimp >= 1.2
Group: 		Graphics

%description gimp-plugin
GIMP-plug-in for direct digital camera access through GPhoto2.
%endif

%prep
rm -rf ${RPM_BUILD_DIR}/%{name}-%{version}
#rm -rf ${RPM_BUILD_DIR}/%{name}

%setup -q -n %{name}-%{version}dev1
#setup -n %{name}

bzcat %{SOURCE1} > icon.png

%build

# Correct documentation path
perl -p -i -e "s!doc/gtkam!doc/gtkam-%{version}!" configure.in
perl -p -i -e "s!doc/gtkam!doc/gtkam-%{version}!" Makefile.am
# Stuff in "test" subdirectory is broken, omit it.
perl -p -i -e "s!^(SUBDIRS\s*=\s*.*\s+)test !\$1!" Makefile.am

# Correct locale for portuguese of Portugal
perl -p -i -e "s!^(ALL_LINGUAS\s*=\s*.*\s+)pt_PT!\$1pt!" configure.in
mv po/pt_PT.po po/pt.po

# CVS versions need "./autogen.sh"
#./autogen.sh

# Rebuild configure stuff, we have modified the source files of it
export WANT_AUTOCONF_2_5=1
aclocal
automake --gnu
autoconf

%configure2_5x

%make

# convert icons to required format
convert icon.png -resize 32x32 gtkam.png
convert icon.png -resize 16x16 gtkam_mini.png
convert icon.png -resize 48x48 gtkam_large.png

%install

# Something in the Makefiles is broken, there always appears a
# /usr/share/share directory.
rm -rf %buildroot%{_datadir}/share
rm -rf %buildroot%{_datadir}/doc

%makeinstall
%find_lang %{name}

# icons
install -d $RPM_BUILD_ROOT%{_datadir}/icons
install -m 644 gtkam.png $RPM_BUILD_ROOT%{_datadir}/icons/
install -d $RPM_BUILD_ROOT%{_datadir}/icons/mini
install -m 644 gtkam_mini.png $RPM_BUILD_ROOT%{_datadir}/icons/mini/gtkam.png
install -d $RPM_BUILD_ROOT%{_datadir}/icons/large
install -m 644 gtkam_large.png $RPM_BUILD_ROOT%{_datadir}/icons/large/gtkam.png

# menu stuff
install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > %buildroot/%_menudir/gtkam
?package(gtkam):command="%{_bindir}/gtkam" \
title="GTKam (GPhoto 2)" \
longtitle="GNU Digital Camera Program, for newer cameras" \
needs="x11" \
section="Multimedia/Graphics" \
icon="gtkam.png"
EOF

# GIMP plug-in
%if %{buildgimpplugin}
install -d $RPM_BUILD_ROOT%{_libdir}/gimp/1.2/plug-ins
mv $RPM_BUILD_ROOT%{_libdir}/gtkam-gimp $RPM_BUILD_ROOT%{_libdir}/gimp/1.2/plug-ins
%endif

# dynamic desktop support
%define launchers /etc/dynamic/launchers/camera

mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=GTKam
Comment=GNU Digital Camera Program
TryExec=%{_bindir}/gtkam
Exec=%{_bindir}/gtkam
Terminal=false
Icon=gtkam.png
Type=Application
EOF

%post
%update_menus
update-alternatives --install %launchers/kde.desktop camera.kde.dynamic %launchers/%name.desktop 50
update-alternatives --install %launchers/gnome.desktop camera.gnome.dynamic %launchers/%name.desktop 50

%postun
%clean_menus
if [ $1 = 0 ]; then
  update-alternatives --remove camera.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove camera.gnome.dynamic %launchers/%name.desktop
fi

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS COPYING
%_bindir/*
%_datadir/gtkam
%_datadir/images/gtkam
%_datadir/icons/*
%_menudir/*
%_mandir/*/*
%config(noreplace) %launchers/%name.desktop

%if %{buildgimpplugin}
%files gimp-plugin
%defattr(-,root,root,-)
%{_libdir}/gimp/1.2/plug-ins/*
%endif

%changelog
* Thu Sep 11 2003 Till Kamppeter <till@mandrakesoft.com> 0.1.11-0.dev1.6mdk
- Changed icon to a digital photo camera icon (thanks to Fabian 
  Mandelbaum for the icon).

* Sat Aug 23 2003 Till Kamppeter <till@mandrakesoft.com> 0.1.11-0.dev1.5mdk
- Replaced icon by a preliminary camera icon (it is a video camera, a photo
  camera will come later).

* Sun Jul 27 2003 Till Kamppeter <till@mandrakesoft.com> 0.1.11-0.dev1.4mdk
- Rebuilt for libexif 0.5.10.

* Thu Jul 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.11-0.dev1.3mdk
- configure2_5x macro
- fix buildrequires and requires

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.11-0.dev1.2mdk
- buildrequires
- drop Prefix tag
- macroize
- quiet setup

* Thu Jun 12 2003 Till Kamppeter <till@mandrakesoft.com> 0.1.11-0.dev1.1mdk
- GTKam 0.1.11dev1.

* Fri Jan 17 2003 Till Kamppeter <till@mandrakesoft.com> 0.1.10-2mdk
- Rebuilt for new glibc and libexif.
- Removed dependency on libgpio.

* Thu Dec  5 2002 Till Kamppeter <till@mandrakesoft.com> 0.1.10-1mdk
- Updated to version 0.1.10.

* Tue Aug 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.1.9-2mdk
- added dynamic support

* Mon Aug  5 2002 Till Kamppeter <till@mandrakesoft.com> 0.1.9-1mdk
- Updated to version 0.1.9 (Move to GTK 2.x finished).

* Mon Jul 22 2002 Till Kamppeter <till@mandrakesoft.com> 0.1.8-2mdk
- Updated again to CVS from 22/07/2002 (progress bar for photo upload).

* Mon Jul 22 2002 Till Kamppeter <till@mandrakesoft.com> 0.1.8-1mdk
- Updated to CVS from 22/07/2002 (version 0.1.8+).
- Removed GIMP plug-in, it is only for GIMP 1.3.
- Added EXIF support.

* Wed Mar  6 2002 Till Kamppeter <till@mandrakesoft.com> 0.1-12mdk
- Updated to the CVS snapshot from 06/03/2002 (GTKam based on GPhoto2 2.0
  final).

* Sun Mar  3 2002 Till Kamppeter <till@mandrakesoft.com> 0.1-11mdk
- GTKam habla Espaol! Fabian Mandelbaum (fabman@mandrakesoft.com) has
  translated GTKam to spanish. Added the translation to the package.

* Mon Jan 28 2002 Till Kamppeter <till@mandrakesoft.com> 0.1-10mdk
- Rebuilt for libusb 0.1.4.

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-9mdk
- Add %%defattr(-,root,root,-) for gtkam-gimp-plugin

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-8mdk
- Fix menu entry

* Tue Dec  4 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-7mdk
- Updated to the CVS snapshot from 04/12/2001.

* Sat Dec  1 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-6mdk
- Updated to the CVS of 01/12/2001.

* Fri Nov 30 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-5mdk
- Updated to the CVS of 30/11/2001.

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-4mdk
- BuildRequires: gettext-devel

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-3mdk
- fixed BuildRequires
- Copyright --> License

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-2mdk
- Corrected the doc directory path again

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-1mdk
- Moved to main
- Corrected the doc directory
- Added a menu entry
- Updated from CVS

* Mon Nov 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-0.20001116mdk
- new in contribs
- macros
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>
   - v0.1-0.20001116mdk (initial packaging from CVS) 
